AF.DataValidator 2.0.1

dotnet add package AF.DataValidator --version 2.0.1                
NuGet\Install-Package AF.DataValidator -Version 2.0.1                
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="AF.DataValidator" Version="2.0.1" />                
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add AF.DataValidator --version 2.0.1                
#r "nuget: AF.DataValidator, 2.0.1"                
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install AF.DataValidator as a Cake Addin
#addin nuget:?package=AF.DataValidator&version=2.0.1

// Install AF.DataValidator as a Cake Tool
#tool nuget:?package=AF.DataValidator&version=2.0.1                

This component provides attribute-based server-side data validation function on DTO object. The unique feature of this component is it allow data validation per operation. i.e., Add/Update.

When we are using common data entity for multiple operations, like add, update or delete then one specific field which is mandatory for one operation may not be mandatory for other operation. This package helps to overcome this problem by accepting operation type while validating the entity.

Product Compatible and additional computed target framework versions.
.NET net6.0 is compatible.  net6.0-android was computed.  net6.0-ios was computed.  net6.0-maccatalyst was computed.  net6.0-macos was computed.  net6.0-tvos was computed.  net6.0-windows was computed.  net7.0 was computed.  net7.0-android was computed.  net7.0-ios was computed.  net7.0-maccatalyst was computed.  net7.0-macos was computed.  net7.0-tvos was computed.  net7.0-windows was computed.  net8.0 was computed.  net8.0-android was computed.  net8.0-browser was computed.  net8.0-ios was computed.  net8.0-maccatalyst was computed.  net8.0-macos was computed.  net8.0-tvos was computed.  net8.0-windows was computed. 
Compatible target framework(s)
Included target framework(s) (in package)
Learn more about Target Frameworks and .NET Standard.
  • net6.0

    • No dependencies.

NuGet packages (1)

Showing the top 1 NuGet packages that depend on AF.DataValidator:

Package Downloads
AF.SmartAPI

The SmartAPI can reduce development cost upto 40% for any Dot Net projects. Developers do not need to write any code for API. This API can handle all CRUD operations by simply decorating the DTO object. Click on Project Site link to get Step by Step implementation guide.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
2.0.1 694 4/17/2023
1.0.1 2,815 5/12/2018
1.0.0 3,780 7/11/2016

This package is built on Dot Net 6 LTS